//+------------------------------------------------------------------+
//|                                              20 Bar High Low.mq4 |
//|                                                     Gary Everett |
//|                                              gever17@bresnan.net |
//+------------------------------------------------------------------+
#property copyright "Gary Everett"
#property link      "gever17@bresnan.net"

#property indicator_chart_window

extern int  BarsToLookBack = 20;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
 
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   ObjectDelete("highline");
   ObjectDelete("lowline");
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int i, c;
   ObjectDelete("highline");
   ObjectDelete("lowline");
   
   double HighPrice=High[c],
          LowPrice =Low[c];

   for( i=0, c=0; i<20; i++, c++)
    {           
     if(High[i]>HighPrice) HighPrice=High[c];
       ObjectCreate("highline",OBJ_HLINE,0,0,HighPrice);
       ObjectSet("highline",OBJPROP_COLOR,DeepPink);
       ObjectSet("highline",OBJPROP_WIDTH,1);
       ObjectSet("highline",OBJPROP_STYLE,4);
     
     if(Low[i]>LowPrice) LowPrice=Low[c];
       ObjectCreate("lowline",OBJ_HLINE,0,0,LowPrice);
       ObjectSet("lowline",OBJPROP_COLOR,Chartreuse);
       ObjectSet("lowline",OBJPROP_WIDTH,1);
       ObjectSet("lowline",OBJPROP_STYLE,4);
    }
   return(0);
  }
  
  
//+------------------------------------------------------------------+